import { ReactNode, ElementType, HTMLAttributes } from 'react';
import { Responsive } from '../utils';
import { Margin } from '../utils/margin';
import { Padding } from '../utils/padding';
import { Width, Height } from '../utils/dimension';
import { BackgroundAttachment, BackgroundClip, BackgroundColor, BackgroundOpacity, BackgroundOrigin, BackgroundPosition, BackgroundRepeat, BackgroundSize, BackgroundImage, GradientFrom, GradientVia, GradientTo } from './background';
export declare type BoxProps = HTMLAttributes<HTMLElement> & {
    element?: ElementType;
    children?: ReactNode;
    margin?: Responsive<Margin>;
    padding?: Responsive<Padding>;
    width?: Responsive<Width>;
    height?: Responsive<Height>;
    background?: {
        attachment?: Responsive<BackgroundAttachment>;
        clip?: Responsive<BackgroundClip>;
        color?: Responsive<BackgroundColor>;
        opacity?: Responsive<BackgroundOpacity>;
        origin?: Responsive<BackgroundOrigin>;
        position?: Responsive<BackgroundPosition>;
        repeat?: Responsive<BackgroundRepeat>;
        size?: Responsive<BackgroundSize>;
        image?: Responsive<BackgroundImage>;
        gradient?: {
            from?: Responsive<GradientFrom>;
            via?: Responsive<GradientVia>;
            to?: Responsive<GradientTo>;
        };
    };
};
export declare const Box: import("react").ForwardRefExoticComponent<HTMLAttributes<HTMLElement> & {
    element?: ElementType<any> | undefined;
    children?: ReactNode;
    margin?: Responsive<Margin> | undefined;
    padding?: Responsive<Padding> | undefined;
    width?: Responsive<Width> | undefined;
    height?: Responsive<Height> | undefined;
    background?: {
        attachment?: Responsive<BackgroundAttachment> | undefined;
        clip?: Responsive<BackgroundClip> | undefined;
        color?: Responsive<import("..").Color> | undefined;
        opacity?: Responsive<import("../tokens/scale").Opacity> | undefined;
        origin?: Responsive<BackgroundOrigin> | undefined;
        position?: Responsive<BackgroundPosition> | undefined;
        repeat?: Responsive<BackgroundRepeat> | undefined;
        size?: Responsive<BackgroundSize> | undefined;
        image?: Responsive<BackgroundImage> | undefined;
        gradient?: {
            from?: Responsive<import("..").Color> | undefined;
            via?: Responsive<import("..").Color> | undefined;
            to?: Responsive<import("..").Color> | undefined;
        } | undefined;
    } | undefined;
} & import("react").RefAttributes<HTMLElement>>;
