"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "Box", {
    enumerable: true,
    get: function() {
        return Box;
    }
});
var _interopRequireDefault = require("@swc/helpers/lib/_interop_require_default.js").default;
var _objectSpread = require("@swc/helpers/lib/_object_spread.js").default;
var _objectSpreadProps = require("@swc/helpers/lib/_object_spread_props.js").default;
var _objectWithoutProperties = require("@swc/helpers/lib/_object_without_properties.js").default;
var _react = require("react");
var _clsx = /*#__PURE__*/ _interopRequireDefault(require("clsx"));
var _utils = require("../utils");
var _margin = require("../utils/margin");
var _padding = require("../utils/padding");
var _dimension = require("../utils/dimension");
var Box = /*#__PURE__*/ (0, _react.forwardRef)(function(props, ref) {
    var _$ref, _$ref1, _$ref2;
    var _element = props.element, element = _element === void 0 ? "div" : _element, className = props.className, margin = props.margin, padding = props.padding, width = props.width, height = props.height, background = props.background, rest = _objectWithoutProperties(props, [
        "element",
        "className",
        "margin",
        "padding",
        "width",
        "height",
        "background"
    ]);
    var marginClassName = (0, _utils.responsive)(_margin.resolveMargin, margin);
    var paddingClassName = (0, _utils.responsive)(_padding.resolvePadding, padding);
    var widthClassName = (0, _utils.responsive)(_dimension.resolveWidth, width);
    var heightClassName = (0, _utils.responsive)(_dimension.resolveHeight, height);
    var backgroundAttachmentClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : background.attachment);
    var backgroundClipClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg-clip"), background === null || background === void 0 ? void 0 : background.clip);
    var backgroundColorClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : background.color);
    var backgroundOpacityClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg-opacity"), background === null || background === void 0 ? void 0 : background.opacity);
    var backgroundOriginClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg-origin"), background === null || background === void 0 ? void 0 : background.origin);
    var backgroundPositionClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : background.position);
    var backgroundRepeatClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : background.repeat);
    var backgroundSizeClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : background.size);
    var backgroundImageClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : background.image);
    var gradientFromClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("from"), background === null || background === void 0 ? void 0 : (_$ref = background.gradient) === null || _$ref === void 0 ? void 0 : _$ref.from);
    var gradientViaClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : (_$ref1 = background.gradient) === null || _$ref1 === void 0 ? void 0 : _$ref1.via);
    var gradientToClassName = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("bg"), background === null || background === void 0 ? void 0 : (_$ref2 = background.gradient) === null || _$ref2 === void 0 ? void 0 : _$ref2.to);
    return /*#__PURE__*/ (0, _react.createElement)(element, _objectSpreadProps(_objectSpread({
        className: (0, _clsx.default)(marginClassName, paddingClassName, widthClassName, heightClassName, backgroundAttachmentClassName, backgroundClipClassName, backgroundColorClassName, backgroundOpacityClassName, backgroundOriginClassName, backgroundPositionClassName, backgroundRepeatClassName, backgroundSizeClassName, backgroundImageClassName, gradientFromClassName, gradientViaClassName, gradientToClassName, className)
    }, rest), {
        ref: ref
    }));
});

//# sourceMappingURL=Box.js.map