"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "FlexBox", {
    enumerable: true,
    get: function() {
        return FlexBox;
    }
});
var _extends = require("@swc/helpers/lib/_extends.js").default;
var _interopRequireDefault = require("@swc/helpers/lib/_interop_require_default.js").default;
var _objectWithoutProperties = require("@swc/helpers/lib/_object_without_properties.js").default;
var _clsx = /*#__PURE__*/ _interopRequireDefault(require("clsx"));
var _react = /*#__PURE__*/ _interopRequireDefault(require("react"));
var _box = require("../Box");
var _utils = require("../utils");
function FlexBox(props) {
    var className = props.className, direction = props.direction, align = props.align, justify = props.justify, wrap = props.wrap, boxProps = _objectWithoutProperties(props, [
        "className",
        "direction",
        "align",
        "justify",
        "wrap"
    ]);
    var flexDirectionClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("flex"), direction);
    var justifyContentClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("justify"), justify);
    var alignItemsClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("items"), align);
    var flexWrapClassNames = (0, _utils.responsive)((0, _utils.createPrefixValueResolver)("flex"), wrap);
    return /*#__PURE__*/ _react.default.createElement(_box.Box, _extends({
        className: (0, _clsx.default)("flex", flexDirectionClassNames, justifyContentClassNames, alignItemsClassNames, flexWrapClassNames, className)
    }, boxProps));
}

//# sourceMappingURL=FlexBox.js.map