/// <reference types="react" />
import { Auto, Pixel, Scale, NegativeScale } from '../tokens/scale';
import { Responsive } from '../utils';
import { BoxProps } from '../Box';
declare type PositionScale = Scale | Pixel | NegativeScale;
declare type ExclusiveY<ScaleType> = {
    y?: ScaleType;
    top?: never;
    bottom?: never;
} | {
    y?: never;
    top?: ScaleType;
    bottom?: ScaleType;
};
declare type ExclusiveX<ScaleType> = {
    x?: ScaleType;
    left?: never;
    right?: never;
} | {
    x?: never;
    left?: ScaleType;
    right?: ScaleType;
};
declare type ExclusiveXY<ScaleType> = ExclusiveX<ScaleType> & ExclusiveY<ScaleType>;
declare type PositionDirection = {
    inset?: PositionScale;
    x?: never;
    y?: never;
    top?: never;
    bottom?: never;
    left?: never;
    right?: never;
} | (ExclusiveXY<PositionScale> & {
    inset?: never;
});
declare type ZIndex = 0 | 10 | 20 | 30 | 40 | 50 | Auto;
declare type SpecificPositionProps = BoxProps & PositionDirection & {
    zIndex?: Responsive<ZIndex>;
};
export declare function Static(props: SpecificPositionProps): JSX.Element;
export declare function Relative(props: SpecificPositionProps): JSX.Element;
export declare function Absolute(props: SpecificPositionProps): JSX.Element;
export declare function Fixed(props: SpecificPositionProps): JSX.Element;
export declare function Sticky(props: SpecificPositionProps): JSX.Element;
export {};
