/// <reference types="react" />
import { Color } from '../tokens/color';
import { Opacity } from '../tokens/scale';
import { Responsive } from '../utils';
import { InputType, FontFamily, FontSize, FontSmoothing, FontStyle, FontWeight, FontVariantNumeric, LetterSpacing, LineHeight, ListStyleType, ListStylePosition, TextAlign, TextDecoration, TextTransform, TextOverflow, VerticalAlign, Whitespace, WordBreak } from './types';
export declare const Input: import("react").ForwardRefExoticComponent<import("react").HTMLAttributes<HTMLElement> & {
    element?: import("react").ElementType<any> | undefined;
    family?: Responsive<FontFamily> | undefined;
    size?: Responsive<FontSize> | undefined;
    smoothing?: Responsive<FontSmoothing> | undefined;
    fontStyle?: Responsive<FontStyle> | undefined;
    weight?: Responsive<FontWeight> | undefined;
    variantNumeric?: Responsive<FontVariantNumeric> | undefined;
    letterSpacing?: Responsive<LetterSpacing> | undefined;
    lineHeight?: Responsive<LineHeight> | undefined;
    listStyle?: Responsive<ListStyleType> | undefined;
    listStylePosition?: Responsive<ListStylePosition> | undefined;
    align?: Responsive<TextAlign> | undefined;
    color?: Responsive<Color> | undefined;
    opacity?: Responsive<Opacity> | undefined;
    decoration?: Responsive<TextDecoration> | undefined;
    transform?: Responsive<TextTransform> | undefined;
    overflow?: Responsive<TextOverflow> | undefined;
    verticalAlign?: Responsive<VerticalAlign> | undefined;
    whitespace?: Responsive<Whitespace> | undefined;
    wordBreak?: Responsive<WordBreak> | undefined;
} & {
    type?: InputType | undefined;
    id?: string | undefined;
    name?: string | undefined;
    value?: string | undefined;
    placeholderColor?: Responsive<Color> | undefined;
    placeholderOpacity?: Responsive<Opacity> | undefined;
} & import("react").RefAttributes<HTMLInputElement>>;
