import { ElementType, HTMLAttributes } from 'react';
import { Color } from '../tokens/color';
import { Opacity } from '../tokens/scale';
import { FontFamily, FontSize, FontSmoothing, FontStyle, FontWeight, FontVariantNumeric, LetterSpacing, LineHeight, ListStyleType, ListStylePosition, TextAlign, TextDecoration, TextTransform, TextOverflow, VerticalAlign, Whitespace, WordBreak } from './types';
import { Responsive } from '../utils';
export declare type TextProps = HTMLAttributes<HTMLElement> & {
    element?: ElementType;
    family?: Responsive<FontFamily>;
    size?: Responsive<FontSize>;
    smoothing?: Responsive<FontSmoothing>;
    fontStyle?: Responsive<FontStyle>;
    weight?: Responsive<FontWeight>;
    variantNumeric?: Responsive<FontVariantNumeric>;
    letterSpacing?: Responsive<LetterSpacing>;
    lineHeight?: Responsive<LineHeight>;
    listStyle?: Responsive<ListStyleType>;
    listStylePosition?: Responsive<ListStylePosition>;
    align?: Responsive<TextAlign>;
    color?: Responsive<Color>;
    opacity?: Responsive<Opacity>;
    decoration?: Responsive<TextDecoration>;
    transform?: Responsive<TextTransform>;
    overflow?: Responsive<TextOverflow>;
    verticalAlign?: Responsive<VerticalAlign>;
    whitespace?: Responsive<Whitespace>;
    wordBreak?: Responsive<WordBreak>;
};
export declare const Text: import("react").ForwardRefExoticComponent<HTMLAttributes<HTMLElement> & {
    element?: ElementType<any> | undefined;
    family?: Responsive<FontFamily> | undefined;
    size?: Responsive<FontSize> | undefined;
    smoothing?: Responsive<FontSmoothing> | undefined;
    fontStyle?: Responsive<FontStyle> | undefined;
    weight?: Responsive<FontWeight> | undefined;
    variantNumeric?: Responsive<FontVariantNumeric> | undefined;
    letterSpacing?: Responsive<LetterSpacing> | undefined;
    lineHeight?: Responsive<LineHeight> | undefined;
    listStyle?: Responsive<ListStyleType> | undefined;
    listStylePosition?: Responsive<ListStylePosition> | undefined;
    align?: Responsive<TextAlign> | undefined;
    color?: Responsive<Color> | undefined;
    opacity?: Responsive<Opacity> | undefined;
    decoration?: Responsive<TextDecoration> | undefined;
    transform?: Responsive<TextTransform> | undefined;
    overflow?: Responsive<TextOverflow> | undefined;
    verticalAlign?: Responsive<VerticalAlign> | undefined;
    whitespace?: Responsive<Whitespace> | undefined;
    wordBreak?: Responsive<WordBreak> | undefined;
} & import("react").RefAttributes<HTMLElement>>;
