"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "resolveMargin", {
    enumerable: true,
    get: function() {
        return resolveMargin;
    }
});
var _interopRequireDefault = require("@swc/helpers/lib/_interop_require_default.js").default;
var _clsx = /*#__PURE__*/ _interopRequireDefault(require("clsx"));
var _spacing = require("./spacing");
function getClassName(param) {
    var direction = param.direction, scale = param.scale;
    if (scale == null) return "";
    if (scale === "-px" || scale < 0) return "-".concat(_spacing.Prefix.MARGIN).concat(direction, "-px");
    return "".concat(_spacing.Prefix.MARGIN).concat(direction, "-").concat(scale);
}
function resolveMargin(spacing) {
    if (typeof spacing === "number" || typeof spacing === "string") return getClassName({
        direction: _spacing.Direction.ALL,
        scale: spacing
    });
    // Always resolve to the most specific
    var top = "y" in spacing ? spacing.y : spacing.top;
    var bottom = "y" in spacing ? spacing.y : spacing.bottom;
    var left = "x" in spacing ? spacing.x : spacing.left;
    var right = "x" in spacing ? spacing.x : spacing.right;
    if (top === bottom && left === right && top === left) return getClassName({
        direction: _spacing.Direction.ALL,
        scale: top
    });
    var classNames = [];
    if (top === bottom) classNames.push(getClassName({
        direction: _spacing.Direction.Y,
        scale: top
    }));
    else classNames.push(getClassName({
        direction: _spacing.Direction.TOP,
        scale: top
    }), getClassName({
        direction: _spacing.Direction.BOTTOM,
        scale: bottom
    }));
    if (left === right) classNames.push(getClassName({
        direction: _spacing.Direction.X,
        scale: left
    }));
    else classNames.push(getClassName({
        direction: _spacing.Direction.LEFT,
        scale: left
    }), getClassName({
        direction: _spacing.Direction.RIGHT,
        scale: right
    }));
    return (0, _clsx.default)(classNames);
}

//# sourceMappingURL=margin.js.map