"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _margin = require("./margin");
describe("resolveMargin", function() {
    it("should return className for: 0", function() {
        expect((0, _margin.resolveMargin)(0)).toBe("m-0");
        expect((0, _margin.resolveMargin)({
            x: 0
        })).toBe("mx-0");
        expect((0, _margin.resolveMargin)({
            y: 0
        })).toBe("my-0");
        expect((0, _margin.resolveMargin)({
            right: 0
        })).toBe("mr-0");
    });
    it("should return className for all directions", function() {
        expect((0, _margin.resolveMargin)(4)).toBe("m-4");
    });
    it("should return className for a direction", function() {
        expect((0, _margin.resolveMargin)({
            x: 4
        })).toBe("mx-4");
        expect((0, _margin.resolveMargin)({
            y: 4
        })).toBe("my-4");
        expect((0, _margin.resolveMargin)({
            top: 4
        })).toBe("mt-4");
        expect((0, _margin.resolveMargin)({
            bottom: 4
        })).toBe("mb-4");
        expect((0, _margin.resolveMargin)({
            left: 4
        })).toBe("ml-4");
        expect((0, _margin.resolveMargin)({
            right: 4
        })).toBe("mr-4");
    });
    it("should return classNames for multiple directions", function() {
        expect((0, _margin.resolveMargin)({
            x: 3,
            y: 4
        })).toContain("mx-3");
        expect((0, _margin.resolveMargin)({
            x: 3,
            y: 4
        })).toContain("my-4");
        expect((0, _margin.resolveMargin)({
            x: 3,
            top: 4
        })).toContain("mx-3");
        expect((0, _margin.resolveMargin)({
            x: 3,
            top: 4
        })).toContain("mt-4");
        expect((0, _margin.resolveMargin)({
            top: 3,
            right: 4
        })).toContain("mt-3");
        expect((0, _margin.resolveMargin)({
            top: 3,
            right: 4
        })).toContain("mr-4");
    });
});

//# sourceMappingURL=margin.test.js.map