"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _padding = require("./padding");
describe("resolvePadding", function() {
    it("should return className for: 0", function() {
        expect((0, _padding.resolvePadding)(0)).toBe("p-0");
        expect((0, _padding.resolvePadding)({
            x: 0
        })).toBe("px-0");
        expect((0, _padding.resolvePadding)({
            y: 0
        })).toBe("py-0");
        expect((0, _padding.resolvePadding)({
            right: 0
        })).toBe("pr-0");
    });
    it("should return className for all directions", function() {
        expect((0, _padding.resolvePadding)(4)).toBe("p-4");
    });
    it("should return className for a direction", function() {
        expect((0, _padding.resolvePadding)({
            x: 4
        })).toBe("px-4");
        expect((0, _padding.resolvePadding)({
            y: 4
        })).toBe("py-4");
        expect((0, _padding.resolvePadding)({
            top: 4
        })).toBe("pt-4");
        expect((0, _padding.resolvePadding)({
            bottom: 4
        })).toBe("pb-4");
        expect((0, _padding.resolvePadding)({
            left: 4
        })).toBe("pl-4");
        expect((0, _padding.resolvePadding)({
            right: 4
        })).toBe("pr-4");
    });
    it("should return classNames for multiple directions", function() {
        expect((0, _padding.resolvePadding)({
            x: 3,
            y: 4
        })).toContain("px-3");
        expect((0, _padding.resolvePadding)({
            x: 3,
            y: 4
        })).toContain("py-4");
        expect((0, _padding.resolvePadding)({
            x: 3,
            top: 4
        })).toContain("px-3");
        expect((0, _padding.resolvePadding)({
            x: 3,
            top: 4
        })).toContain("pt-4");
        expect((0, _padding.resolvePadding)({
            top: 3,
            right: 4
        })).toContain("pt-3");
        expect((0, _padding.resolvePadding)({
            top: 3,
            right: 4
        })).toContain("pr-4");
    });
});

//# sourceMappingURL=padding.test.js.map