"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _responsive = require("./responsive");
function resolverFn() {
    return "classname";
}
describe("responsive", function() {
    it("should resolve to empty string: null | undefined", function() {
        expect((0, _responsive.responsive)(resolverFn)).toBe("");
        expect((0, _responsive.responsive)(resolverFn, null)).toBe("");
    });
    it("should resolve to a class name: single", function() {
        expect((0, _responsive.responsive)(resolverFn, 1)).toBe("classname");
    });
    it("should resolve to a class name: tuple", function() {
        expect((0, _responsive.responsive)(resolverFn, [
            1,
            2
        ])).toBe("classname sm:classname");
    });
    it("should resolve to a class name: 3-tuple", function() {
        expect((0, _responsive.responsive)(resolverFn, [
            1,
            2,
            3
        ])).toBe("classname sm:classname md:classname");
    });
    it("should resolve to a class name: 4-tuple", function() {
        expect((0, _responsive.responsive)(resolverFn, [
            1,
            2,
            3,
            4
        ])).toBe("classname sm:classname md:classname lg:classname");
    });
    it("should resolve to a class name: 5-tuple", function() {
        expect((0, _responsive.responsive)(resolverFn, [
            1,
            2,
            3,
            4,
            5
        ])).toBe("classname sm:classname md:classname lg:classname xl:classname");
    });
    it("should resolve to a class name: 6-tuple", function() {
        expect((0, _responsive.responsive)(resolverFn, [
            1,
            2,
            3,
            4,
            5,
            6
        ])).toBe("classname sm:classname md:classname lg:classname xl:classname 2xl:classname");
    });
});

//# sourceMappingURL=responsive.test.js.map