export declare enum Prefix {
    PADDING = "p",
    MARGIN = "m"
}
export declare enum Direction {
    ALL = "",
    Y = "y",
    X = "x",
    LEFT = "l",
    RIGHT = "r",
    TOP = "t",
    BOTTOM = "b"
}
declare type ExclusiveY<ScaleType> = {
    y?: ScaleType;
    top?: never;
    bottom?: never;
} | {
    y?: never;
    top?: ScaleType;
    bottom?: ScaleType;
};
declare type ExclusiveX<ScaleType> = {
    x?: ScaleType;
    left?: never;
    right?: never;
} | {
    x?: never;
    left?: ScaleType;
    right?: ScaleType;
};
export declare type SpacingProp<T> = T | (ExclusiveX<T> & ExclusiveY<T>);
export {};
