export type FontFamily = 'sans' | 'serif' | 'mono';

export type FontSize =
  | 'xs'
  | 'sm'
  | 'base'
  | 'lg'
  | 'xl'
  | '2xl'
  | '3xl'
  | '4xl'
  | '5xl'
  | '6xl'
  | '7xl'
  | '8xl'
  | '9xl';

export type FontSmoothing = 'antialiased' | 'subpixel-antialiased';

export type FontStyle = 'italic' | 'non-italic';

export type FontWeight =
  | 'thin'
  | 'extralight'
  | 'light'
  | 'normal'
  | 'medium'
  | 'semibold'
  | 'bold'
  | 'extrabold'
  | 'black';

export type FontVariantNumeric =
  | 'normal-nums'
  | 'ordinal'
  | 'slashed-zero'
  | 'lining-nums'
  | 'oldstyle-nums'
  | 'proportional-nums'
  | 'tabular-nums'
  | 'diagonal-fractions'
  | 'stacked-fractions';

export type LetterSpacing =
  | 'tighter'
  | 'tight'
  | 'normal'
  | 'wide'
  | 'wider'
  | 'widest';

export type LineHeight =
  | 3
  | 4
  | 5
  | 6
  | 7
  | 8
  | 9
  | 10
  | 'none'
  | 'tight'
  | 'snug'
  | 'normal'
  | 'relaxed'
  | 'loose';

export type ListStyleType = 'none' | 'disc' | 'decimal';

export type ListStylePosition = 'inside' | 'outside';

export type TextAlign = 'left' | 'cennter' | 'right' | 'justify';

export type TextDecoration = 'underline' | 'line-through' | 'no-underline';

export type TextTransform =
  | 'uppercase'
  | 'lowercase'
  | 'capitalize'
  | 'normal-case';

export type TextOverflow = 'truncate' | 'ellipsis' | 'clip';

export type VerticalAlign =
  | 'baseline'
  | 'top'
  | 'middle'
  | 'bottom'
  | 'text-top'
  | 'text-bottom';

export type Whitespace = 'normal' | 'no-wrap' | 'pre' | 'pre-line' | 'pre-wrap';

export type WordBreak = 'break-normal' | 'break-word' | 'break-all';

export type InputType = 'text' | 'number' | 'email' | 'password';
